import { SimpleLocalClient } from '../../core/index.js';
import type { INetgearConfig } from './netgear.types.js';
import { netgearProfile } from './netgear.types.js';

export class NetgearClient extends SimpleLocalClient<INetgearConfig> {
  constructor(configArg: INetgearConfig) {
    super(netgearProfile, configArg);
  }
}
